GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions
tcp_server.h File Reference
`#include "src/core/iomgr/endpoint.h"`

Go to the source code of this file.

## Typedefs
typedef struct grpc_tcp_server | grpc_tcp_server
typedef void(* | grpc_tcp_server_cb )(void *arg, grpc_endpoint *ep)

## Functions
grpc_tcp_server * | grpc_tcp_server_create (void)
void | grpc_tcp_server_start (grpc_tcp_server *server, grpc_pollset **pollsets, size_t pollset_count, grpc_tcp_server_cb cb, void *cb_arg)
int | grpc_tcp_server_add_port (grpc_tcp_server *s, const void *addr, int addr_len)
int | grpc_tcp_server_get_fd (grpc_tcp_server *s, unsigned index)
void | grpc_tcp_server_destroy (grpc_tcp_server *server, void(*shutdown_done)(void *shutdown_done_arg), void *shutdown_done_arg)

## Typedef Documentation

typedef struct grpc_tcp_server grpc_tcp_server

typedef void(* grpc_tcp_server_cb)(void *arg, grpc_endpoint *ep)

## Function Documentation

int grpc_tcp_server_add_port | ( | grpc_tcp_server * | s,
|  | const void * | addr,
|  | int | addr_len
| ) |  |

grpc_tcp_server* grpc_tcp_server_create | ( | void |  | ) |

void grpc_tcp_server_destroy | ( | grpc_tcp_server * | server,
|  | void(*)(void *shutdown_done_arg) | shutdown_done,
|  | void * | shutdown_done_arg
| ) |  |

int grpc_tcp_server_get_fd | ( | grpc_tcp_server * | s,
|  | unsigned | index
| ) |  |

void grpc_tcp_server_start | ( | grpc_tcp_server * | server,
|  | grpc_pollset ** | pollsets,
|  | size_t | pollset_count,
|  | grpc_tcp_server_cb | cb,
|  | void * | cb_arg
| ) |  |